# Changelog

All notable changes to this project will be documented in this file.

## [Unreleased]

## [0.7.1] - 2023-06-26

### Changed

- Update dependencies [`119ac94`](https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/commit/119ac94e8070ccd48b0e4625194c77ab6c085efc)
  - Resolutions for:
    - semver vulnerable to Regular Expression Denial of Service
    - Prototype Pollution in JSON5 via Parse Method
    - debug Inefficient Regular Expression Complexity vulnerability


## [0.7.0] - 2023-06-21

### Changed

- Convert source code to TypeScript [`336454b`](https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/commit/336454b07553b0c023b99decf3b54d0c6085d5be)


## [0.6.3] - 2023-03-17

### Added

- Tests added to .npmignore [`4c01730`](https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/commit/4c0173088feab06ea3410573381d844f50794138)

### Fixed

- Fix linting issues [`489bdfb`](https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/commit/489bdfb5f4ec3f6c18f5609c981d93a577d57118)


## [0.6.2] - 2023-02-02

- Start of using release tool

## 0.4.2

* Fix: http-proxy is also started in build mode
* Fix: No info is printed about the http proxy

## 0.4.1

* Fix: Sometimes, the dev-server is not detected
* Fix: Secure flag is not correctly set for own dev-server

## 0.4.0

* **breaking** Introduce `frontends` configuration. This will deprecate `frontendURIs`.
* **breaking** `secure`-flag is not supported globally anymore. You have to set it per path.
* Introduce `httpProxy` option to develop against IDP deployments.

## 0.3.1

* Introduce changeOrigin option for websockets as well
* Improve http2 support (also introduced specific http2 tests)
* Fix: changeOrigin was not considered for http2-requests

## 0.3.0

* **breaking** Introduce `changeOrigin` option. This is a breaking change as origins were always changed before.
* Add logging for /manifest endpoint

## 0.2.1

* Fix: Websockets errors are not handled
* Fix: Secure flag is not considered for websockets

## 0.2.0

* Support for --host config
* Regex support for proxies
* Add support for compressed requests
* Improve error handling
* Introduce `rewrite` option
* Introduce `prependPath` option

## 0.1.0

First release with simple frontends and middleware proxy

[unreleased]: https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/compare/0.7.1...main
[0.7.1]: https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/compare/0.7.0...0.7.1
[0.7.0]: https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/compare/0.6.3...0.7.0
[0.6.3]: https://gitlab.open-xchange.com/frontend/vite-plugin-proxy/compare/0.6.2...0.6.3
