import type { Connect } from 'vite';
export interface ProxyConfig {
    url: URL;
    secure: boolean;
    condition: string | RegExp;
    prependPath: string;
    rewrite: (path: string) => string;
    changeOrigin: boolean;
}
export interface DevServerConfigData {
    fs: {
        allow: string[];
    };
    root: string;
}
export interface FrontendConfig {
    url: URL;
    secure: boolean;
    condition?: string | RegExp;
    config?: DevServerConfigData;
}
export type PluginMiddleware = Connect.NextHandleFunction;
