export const PROJECT_NAME = '@open-xchange/vite-plugin-proxy';
export function joinUrlPaths(...paths) {
    return paths.join('/').replace(/\/+/g, '/');
}
export function getStack(err) {
    return ((err instanceof Error) && err.stack) || '';
}
export function getMessage(err) {
    return ((err instanceof Error) && err.message) || '';
}
export function shouldHandle(condition, path) {
    return (condition instanceof RegExp) ? condition.test(path) : path.startsWith(condition);
}
