/// <reference types="node" />
/// <reference types="node" />
import type http from 'node:http';
import type http2 from 'node:http2';
import type { ProxyConfig } from '../utils/types.js';
export declare function createPath(path: string, config: ProxyConfig): string;
export declare function createHeaders(req: http.IncomingMessage, config: ProxyConfig): http.OutgoingHttpHeaders;
export declare function pipe(proxyRes: http.IncomingMessage, res: http.ServerResponse | http2.Http2ServerResponse): Promise<void>;
